GET
/email-messages/Get all email messages
You can return information about all of your email messages.
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2"
-H "Accept: */*; version=2" -H "Content-Type: application/json" "https://<your_app_subdomain>.user.com/api/public/email-messages/"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://<your_app_subdomain>.user.com/api/public/email-messages/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/email-messages/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import http.client
conn = http.client.HTTPSConnection("<your_app_subdomain>.user.com")
payload = ""
headers = { 'authorization': "Token <your_64_char_api_key>", "Accept": "*/*; version=2" }
conn.request("GET", "/api/public/email-messages/", headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
Response
{
"count": 2,
"next": null,
"previous": null,
"results": [
{
"id": 213,
"name": "Test message",
"subject": "Test message subject",
"created_at": "2016-09-19T09:08:53.125485Z",
"updated_at": "2016-09-19T10:25:43.460763Z",
"body_text": "My test email message",
"body_html": "<body><p>My test email message</p></body>",
"archived": false
},
{
"id": 214,
"name": "Test message 2",
"subject": "Test message 2 subject",
"created_at": "2016-09-20T09:08:53.125485Z",
"updated_at": "2016-09-20T10:25:43.460763Z",
"body_text": "My test email 2 message",
"body_html": "<body><p>My test email message 2</p></body>",
"archived": false
}
]
}